gdk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Functions for drawing points, lines, arcs, and text. To be added GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` Draws a number of points using the given graphics context. A An array of objects. A NOTE: Drawable.custom needs to be fixed to implement this properly.
- Method
  System.Void `` `` `` `` `` `` Render a onto the Drawable object, overriding the layout's normal colors with and/or . and need not be allocated. A , the graphics context to use A , the X position of the left of the layout (in pixels) A , the Y position of the top of the layout (in pixels) A , the layout to render A , the foreground color A , the background color
- Method
  System.Void `` `` `` `` Render a onto the Drawable object. A , the graphics context to use A , the X position of the start of string (in pixels) A , the Y position of the baseline (in pixels) A
- Method
  System.Void `` `` `` `` `` `` Render a onto the Drawable object, overriding the layout's normal colors with and/or . and need not be allocated. A , the graphics context to use A , the X position of the start of string (in pixels) A , the Y position of the baseline (in pixels) A , a line of text to render A , the foreground color A , the background color
- Method
  System.Void `` `` `` `` Render a onto a A A A A If you are using Gtk, the usual way to obtain a is .
- Method
  System.Void `` `` Fills and with the size of the Drawable. or can be if you only want the other one. A A On the X11 platform, if this Drawable object is also a , the returned size is the size reported in the most-recently-processed configure event, rather than the current size on the X server.
- Method
  System.Void `` `` `` Draws a number of unconnected lines. A A , a list of segments to draw. A , the number of segments. TODO: Drawable.custom needs to be edited to make segs an array of Gdk.Segment objects.
- Method
  System.Void `` `` `` `` ``

  This is a low-level function; 99% of text rendering should be done using instead.

  A glyph is a character in a font. This function draws a sequence of glyphs. To obtain a sequence of glyphs you have to understand a lot about internationalized text handling, which you don't want to understand; thus, use instead of this function, handles the details.

  A A A A A
- Method
  Gdk.Image `` `` `` ``

  A stores client-side image data (pixels). In contrast, and are server-side objects. This method obtains the pixels from a server-side drawable as a client-side .

  The format of a depends on the of the current display, which makes manipulating extremely difficult; therefore, in most cases you should use instead of this lower-level function. A contains image data in a canonicalized RGB format, rather than a display-dependent format. Of course, there's a convenience vs. speed tradeoff here, so you'll want to think about what makes sense for your application.

  A , X coordinate of the upper left corner of the region to get as a drawable A , Y coordinate of the upper left corner of the region to get as a drawable. A , width of the rectangle A , height of the rectangle. A containing the contents of this Drawable object.

  , , , and define the region of the drawable to obtain as an image.

  You would usually copy image data to the client side if you intend to examine the values of individual pixels, for example to darken an image or add a red tint. It would be prohibitively slow to make a round-trip request to the windowing system for each pixel, so instead you get all of them at once, modify them, then copy them all back at once.

  If the X server or other windowing system backend is on the local machine, this function may use shared memory to avoid copying the image data.

  If the source drawable is a #GdkWindow and partially offscreen or obscured, then the obscured portions of the returned image will contain undefined data.

- Method
  System.Void `` `` `` `` `` `` `` `` Copies the x region of at coordinates (, ) to coordinates (, ) in . and/or may be given as -1, in which case the entire drawable will be copied. Most fields in are not used for this operation, but notably the clip mask or clip region will be honored. A A , the source Drawable. A A A A A A The source and destination drawables must have the same visual and colormap, or errors will result. (On X11, failure to match visual/colormap results in a BadMatch error from the X server.) A common cause of this problem is an attempt to draw a bitmap to a color drawable. The way to draw a bitmap is to set the bitmap as a clip mask on your #GdkGC, then use gdk_draw_rectangle() to draw a rectangle clipped to the bitmap.

  TODO: This API needs to be adjusted; should probably not exist.

- Method
  System.Void `` `` `` `` `` `` `` `` Draws a onto a drawable. A A A A A A A A The depth of the must match the depth of the .
- Method
  System.Void `` `` `` Draws a point at (,). A A A
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Drawable, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gdk.Colormap The color map for this Drawable. You only need to set the color map if the drawable-creating function did not have a way to determine the colormap, and you then use drawable operations that require a colormap. The colormap for all drawables and graphics contexts you intend to use together should match. i.e. when using a #GdkGC to draw to a drawable, or copying one drawable to another, the colormaps should match. A A
- Property
  Gdk.Region To be added A
- Property
  Gdk.Region To be added A
- Property
  Gdk.Visual To be added A
- Property
  System.Int32 To be added A
- Property
  Gdk.Screen To be added a
- Property
  Gdk.Display To be added a
- Method
  System.Void `` `` To be added a a
- Method
  System.Void `` `` `` Draws a Polygon connecting a set of points. a a a This method is obsolete. Use the overload which takes a for
- Method
  System.Void `` `` `` Draws a rectangular outline or filled rectangle, using the foreground color and other attributes of the . a a a A rectangle drawn filled is 1 pixel smaller in both dimensions than a rectangle outlined. Calling Gdk.DrawRectangle (window, gc, TRUE, 0, 0, 20, 20) results in a filled rectangle 20 pixels wide and 20 pixels high. Calling Gdk.DrawRectangle (window, gc, FALSE, 0, 0, 20, 20) results in an outlined rectangle with corners at (0, 0), (0, 20), (20, 20), and (20, 0), which makes it 21 pixels wide and 21 pixels high.
- Method
  System.Void `` `` `` `` `` To be added a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` To be added a a a

  The x-coordinate of the upper left hand of the bounding box of the arc.

  a

  The y-coordinate of the upper left hand of the bounding box of the arc.

  a a a

  The starting angle of the arc in the clockwise direction in reference to the 3'oclock position in terms of 1/64th of a degree.

  a

  The number of 1/64ths of a degree to sweep the arc in a clockwise direction relative to the starting angle.

  Draw the left side of a circle with a radius of 5 units. `Gdk.Pixmap.DrawArc(gc, false, 0, 0, 10, 10, 90 * 64, 180 * 64);`
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` `` To be added a a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` Draws a rectangular outline or filled rectangle, using the foreground color and other attributes of the . a a a a a a A rectangle drawn filled is 1 pixel smaller in both dimensions than a rectangle outlined. Calling Gdk.DrawRectangle (window, gc, TRUE, 0, 0, 20, 20) results in a filled rectangle 20 pixels wide and 20 pixels high. Calling Gdk.DrawRectangle (window, gc, FALSE, 0, 0, 20, 20) results in an outlined rectangle with corners at (0, 0), (0, 20), (20, 20), and (20, 0), which makes it 21 pixels wide and 21 pixels high.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Internal constructor
  a
  a
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  This is a constructor used by derivative types of Drawable. This is not typically used by C# code.
  a
- Method
  System.Void `` `` `` `` `` `` `` `` To be added a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` To be added a a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` To be added a a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` To be added a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` To be added a a a a a a a a
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` To be added a a a a a a a a a a
- Method
  System.Void `` `` `` Draws a Polygon connecting a set of points. a a a
- Method
  System.Void `` `` `` `` `` To be added a a a a a To be added
- Method
  System.UInt32 `` `` `` `` `` To be added a a a a a a To be added
- Method
  System.Void `` `` `` `` `` To be added a a a a a To be added
- Method
  System.IntPtr `` To be added a a To be added
- Method
  Gdk.Drawable To be added a To be added
- Method
  Gdk.Image `` `` `` `` `` `` `` To be added a a a a a a a a To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` `` To be added a a a To be added